Bug 1532550 - [RFE] Run update_subscription_facet_backend_data task in parallel
Summary: [RFE] Run update_subscription_facet_backend_data task in parallel
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Lai
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-09 10:01 UTC by Roman Plevka
Modified: 2019-09-03 18:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-03 18:58:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 22184 None None None 2018-01-09 11:01:28 UTC

Description Roman Plevka 2018-01-09 10:01:39 UTC
My upgrade is processing all hosts at rate of about 1-2 hosts per second, which gives quite long upgrade time for decently sized Satellite 6, I was on a host with thousand dummy hosts created. Server is baremetal ex-workstation and there is no load except rake, java and postgres (but it's not utilizing resources fully). It has 11k hosts with 125k of fact values.

We should run such rake tasks in parallel. It's not much work to run this in a threadpool or via channels, we already have ruby-concurrent gem. I'd expect huge speedup as this is mostly IO-bound operation (network, database).

Comment 1 Roman Plevka 2018-01-09 10:01:42 UTC
Created from redmine issue http://projects.theforeman.org/issues/22184

Comment 8 Bryan Kearney 2019-08-05 12:22:32 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 9 Bryan Kearney 2019-09-03 18:58:29 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.


Note You need to log in before you can comment on or make changes to this bug.